package de.ivu.elect.business.stimmzettel.entity;

import java.util.Collection;
import java.util.HashSet;
import java.util.Set;

public class StimmzettelWesUpdateResult {

  private final boolean dateienInDatenbankNeuer;

  private final Set<StimmzettelKopfdatum> stimmzettelKopfdaten;

  private final Set<Stimmzettel> stimmzettelList;

  public StimmzettelWesUpdateResult(boolean dateienInDatenbankNeuer, Collection<StimmzettelKopfdatum> stimmzettelKopfdaten, Collection<Stimmzettel> stimmzettelList) {
    this.dateienInDatenbankNeuer = dateienInDatenbankNeuer;
    this.stimmzettelKopfdaten = new HashSet<>(stimmzettelKopfdaten);
    this.stimmzettelList = new HashSet<>(stimmzettelList);
  }

  public Set<StimmzettelKopfdatum> getStimmzettelKopfdaten() {
    return stimmzettelKopfdaten;
  }

  public Set<Stimmzettel> getStimmzettelList() {
    return stimmzettelList;
  }

  public boolean isDateienInDatenbankNeuer() {
    return dateienInDatenbankNeuer;
  }
}


